﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using System.Collections.ObjectModel;
using Telerik.Windows.Data;

namespace GridView_for_Silverlight_4___2
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			gridView.ItemsSource = Person.GetPeople();
			
		}

		private void gridView_CellEditEnded(object sender, GridViewCellEditEndedEventArgs e)
		{
			if (e.EditAction == GridViewEditAction.Commit && e.Cell.DataColumn.UniqueName == "IsDefault")
			{
				if (MessageBox.Show("Are you sure?", "sure", MessageBoxButton.OKCancel) == MessageBoxResult.Cancel)
				{
					Person editedPerson = e.Cell.DataContext as Person;
					editedPerson.IsDefault = (Boolean)e.OldData;
				}
			}
		}
	}


}
